[PATCH 25/94] dev-debug/gdb: port to GNU Hurd

Sam James <[email protected]>
Newsgroups gmane.linux.gentoo.devel
Message-ID <8b34d02780e529c78b85eb005b0f58e9fc1ce272.1774994302.git.sam@gentoo.org>
Avoid collision with sys-kernel/hurd's `gcore` by renaming.

Signed-off-by: Sam James <[email protected]>
---
 dev-debug/gdb/gdb-17.1.ebuild | 4 ++++
 dev-debug/gdb/gdb-9999.ebuild | 4 ++++
 2 files changed, 8 insertions(+)

diff --git a/dev-debug/gdb/gdb-17.1.ebuild b/dev-debug/gdb/gdb-17.1.ebuild
index 56ecbfb9e8253..eb6b1de2d3cf8 100644
--- a/dev-debug/gdb/gdb-17.1.ebuild
+++ b/dev-debug/gdb/gdb-17.1.ebuild
@@ -335,6 +335,10 @@ src_install() {
 	if use python ; then
 		python_optimize "${ED}"/usr/share/gdb/python/gdb
 	fi
+
+	if use kernel_Hurd ; then
+		mv "${ED}"/usr/bin/gcore "${ED}"/usr/bin/gcore.gdb || die
+	fi
 }
 
 pkg_postinst() {
diff --git a/dev-debug/gdb/gdb-9999.ebuild b/dev-debug/gdb/gdb-9999.ebuild
index 8af8888c79208..445d965f432d7 100644
--- a/dev-debug/gdb/gdb-9999.ebuild
+++ b/dev-debug/gdb/gdb-9999.ebuild
@@ -335,6 +335,10 @@ src_install() {
 	if use python ; then
 		python_optimize "${ED}"/usr/share/gdb/python/gdb
 	fi
+
+	if use kernel_Hurd ; then
+		mv "${ED}"/usr/bin/gcore "${ED}"/usr/bin/gcore.gdb || die
+	fi
 }
 
 pkg_postinst() {
-- 
2.53.0
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.